Collegamenti
GET https://app.jog690.link/api/links/
curl --request GET \
--url 'https://app.jog690.link/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.jog690.link/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Facoltativo Stringa | La stringa di ricerca |
| search_by | Facoltativo Stringa | In quale campo stai cercando. I valori consentiti sono: url, location_url |
| is_enabled | Facoltativo Booleano | |
| project_id | Facoltativo Intero | |
| domain_id | Facoltativo Intero | |
| type | Facoltativo Stringa |
biolink, link, file, vcard, event, static |
| datetime_field | Facoltativo Stringa | Valori consentiti: datetime, last_datetime |
| datetime_start | Facoltativo Stringa | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facoltativo Stringa | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facoltativo Stringa | Campo per ordinare i risultati. Valori consentiti: link_id, datetime, last_datetime, clicks, url |
| order_type | Facoltativo Stringa | L'ordinamento dei risultati. I valori consentiti sono: ASC per un ordinamento ascendente e DESC per un ordinamento discendente |
| page | Facoltativo Intero | Il numero di pagina dal quale desideri ottenere i risultati. Il valore predefinito è 1 |
| results_per_page | Facoltativo Intero | Quanti risultati desideri per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Il valore predefinito è 25 |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": true,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-03 20:52:01"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://app.jog690.link/api/links?page=1",
"last": "https://app.jog690.link/api/links?page=1",
"next": null,
"prev": null,
"self": "https://app.jog690.link/api/links?page=1"
}
}
GET https://app.jog690.link/api/links/{link_id}
curl --request GET \
--url 'https://app.jog690.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.jog690.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": true,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-03 20:52:01"
}
}
POST https://app.jog690.link/api/links
| Parametri | Dettagli | Descrizione |
|---|---|---|
| type | Facoltativo Stringa | link |
| location_url | Richiesto Stringa | L'URL della destinazioneAvailable when: is_bulk = 0 |
| location_urls | Richiesto Stringa | L'URL della destinazioneAvailable when: is_bulk = 1 |
| url | Facoltativo Stringa | L'alias URL del link generato. Lasciare vuoto per una generazione casuale.Available when: is_bulk = 0 |
| is_bulk | Facoltativo Booleano | |
| domain_id | Facoltativo Intero | - |
| project_id | Facoltativo Intero | - |
| pixels_ids | Facoltativo Matrice Intero | - |
| email_reports | Facoltativo Matrice | Notification handler ids |
| schedule | Facoltativo Booleano | - |
| start_date | Facoltativo Stringa | Available when: schedule = true |
| end_date | Facoltativo Stringa | Available when: schedule = true |
| clicks_limit | Facoltativo Intero | - |
| expiration_url | Facoltativo Stringa | - |
| leap_link | Facoltativo Stringa | - |
| sensitive_content | Facoltativo Booleano | - |
| http_status_code | Facoltativo Intero | Valori consentiti: 301, 302, 307, 308 |
| app_linking_is_enabled | Facoltativo Booleano | - |
| cloaking_is_enabled | Facoltativo Booleano | - |
| cloaking_title | Facoltativo Stringa | - |
| cloaking_meta_description | Facoltativo Stringa | - |
| cloaking_custom_js | Facoltativo Stringa | - |
| cloaking_favicon | Facoltativo File | - |
| cloaking_opengraph | Facoltativo File | - |
| password | Facoltativo Stringa | - |
| forward_query_parameters_is_enabled | Facoltativo Booleano | - |
| seo_block | Facoltativo Booleano | - |
| utm_source | Facoltativo Stringa | - |
| utm_medium | Facoltativo Stringa | - |
| utm_campaign | Facoltativo Stringa | - |
| targeting_type | Facoltativo Stringa | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Facoltativo Stringa | Available when: targeting_type = continent_code |
| targeting_continent_code_value[index] | Facoltativo Stringa | Available when: targeting_type = continent_code |
| targeting_country_code_key[index] | Facoltativo Stringa | Available when: targeting_type = country_code |
| targeting_country_code_value[index] | Facoltativo Stringa | Available when: targeting_type = country_code |
| targeting_city_name_key[index] | Facoltativo Stringa | Available when: targeting_type = city_name |
| targeting_city_name_value[index] | Facoltativo Stringa | Available when: targeting_type = city_name |
| targeting_device_type_key[index] | Facoltativo Stringa | Available when: targeting_type = device_type |
| targeting_device_type_value[index] | Facoltativo Stringa | Available when: targeting_type = device_type |
| targeting_browser_language_key[index] | Facoltativo Stringa | Available when: targeting_type = browser_language |
| targeting_browser_language_value[index] | Facoltativo Stringa | Available when: targeting_type = browser_language |
| targeting_rotation_key[index] | Facoltativo Stringa | Available when: targeting_type = rotation |
| targeting_rotation_value[index] | Facoltativo Stringa | Available when: targeting_type = rotation |
| targeting_os_name_key[index] | Facoltativo Stringa | Available when: targeting_type = os_name |
| targeting_os_name_value[index] | Facoltativo Stringa | Available when: targeting_type = os_name |
| targeting_browser_name_key[index] | Facoltativo Stringa | Available when: targeting_type = browser_name |
| targeting_browser_name_value[index] | Facoltativo Stringa | Available when: targeting_type = browser_name |
| is_enabled | Facoltativo Booleano | - |
curl --request POST \
--url 'https://app.jog690.link/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://app.jog690.link/' \
--url 'https://app.jog690.link/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://app.jog690.link/' \
{
"data": {
"id": 1
}
}
POST https://app.jog690.link/api/links/{link_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| location_url | Facoltativo Stringa | L'URL della destinazione |
| url | Facoltativo Stringa | L'alias URL del link generato. Lasciare vuoto per una generazione casuale. |
| domain_id | Facoltativo Intero | - |
| project_id | Facoltativo Intero | - |
| pixels_ids | Facoltativo Matrice Intero | - |
| email_reports | Facoltativo Matrice | Notification handler ids |
| schedule | Facoltativo Booleano | - |
| start_date | Facoltativo Stringa | Available when: schedule = true |
| end_date | Facoltativo Stringa | Available when: schedule = true |
| clicks_limit | Facoltativo Intero | - |
| expiration_url | Facoltativo Stringa | - |
| leap_link | Facoltativo Stringa | - |
| sensitive_content | Facoltativo Booleano | - |
| http_status_code | Facoltativo Intero | Valori consentiti: 301, 302, 307, 308 |
| app_linking_is_enabled | Facoltativo Booleano | - |
| cloaking_is_enabled | Facoltativo Booleano | - |
| cloaking_title | Facoltativo Stringa | - |
| cloaking_meta_description | Facoltativo Stringa | - |
| cloaking_custom_js | Facoltativo Stringa | - |
| cloaking_favicon | Facoltativo File | - |
| cloaking_opengraph | Facoltativo File | - |
| password | Facoltativo Stringa | - |
| forward_query_parameters_is_enabled | Facoltativo Booleano | - |
| seo_block | Facoltativo Booleano | - |
| utm_source | Facoltativo Stringa | - |
| utm_medium | Facoltativo Stringa | - |
| utm_campaign | Facoltativo Stringa | - |
| targeting_type | Facoltativo Stringa | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Facoltativo Stringa | Available when: targeting_type = continent_code |
| targeting_continent_code_value[index] | Facoltativo Stringa | Available when: targeting_type = continent_code |
| targeting_country_code_key[index] | Facoltativo Stringa | Available when: targeting_type = country_code |
| targeting_country_code_value[index] | Facoltativo Stringa | Available when: targeting_type = country_code |
| targeting_city_name_key[index] | Facoltativo Stringa | Available when: targeting_type = city_name |
| targeting_city_name_value[index] | Facoltativo Stringa | Available when: targeting_type = city_name |
| targeting_device_type_key[index] | Facoltativo Stringa | Available when: targeting_type = device_type |
| targeting_device_type_value[index] | Facoltativo Stringa | Available when: targeting_type = device_type |
| targeting_browser_language_key[index] | Facoltativo Stringa | Available when: targeting_type = browser_language |
| targeting_browser_language_value[index] | Facoltativo Stringa | Available when: targeting_type = browser_language |
| targeting_rotation_key[index] | Facoltativo Stringa | Available when: targeting_type = rotation |
| targeting_rotation_value[index] | Facoltativo Stringa | Available when: targeting_type = rotation |
| targeting_os_name_key[index] | Facoltativo Stringa | Available when: targeting_type = os_name |
| targeting_os_name_value[index] | Facoltativo Stringa | Available when: targeting_type = os_name |
| targeting_browser_name_key[index] | Facoltativo Stringa | Available when: targeting_type = browser_name |
| targeting_browser_name_value[index] | Facoltativo Stringa | Available when: targeting_type = browser_name |
| is_enabled | Facoltativo Booleano | - |
| link_id | Facoltativo Intero | - |
curl --request POST \
--url 'https://app.jog690.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://app.jog690.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"domain_id": 1,
"pixels_ids": [],
"email_reports": [],
"biolink_theme_id": 1,
"type": "Example",
"url": "https://example.com/",
"location_url": "https://example.com/",
"settings": [],
"clicks": 1,
"start_date": "Example",
"end_date": "Example",
"is_verified": 1,
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-11-03 20:52:01"
}
}
DELETE https://app.jog690.link/api/links/{link_id}
curl --request DELETE \
--url 'https://app.jog690.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://app.jog690.link/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \